package net.t2code.alias.Spigot.system;

import net.t2code.alias.Spigot.Main;
import net.t2code.alias.Spigot.objects.AliasObject;
import net.t2code.alias.Spigot.objects.SubAliasObject;
import net.t2code.t2codelib.SPIGOT.api.register.T2Cregister;
import org.bukkit.Bukkit;

public class AliasRegisterPermissions {

    public static void onPermRegister() {

        for (AliasObject aliasObject : Main.aliasHashMap.values()) {
            if (Bukkit.getPluginManager().getPermission(aliasObject.permission.toLowerCase()) == null) {
                T2Cregister.permission(aliasObject.permission.toLowerCase(), Main.getPlugin());
            }
            if (Bukkit.getPluginManager().getPermission(aliasObject.adminPermission.toLowerCase()) == null) {
                T2Cregister.permission(aliasObject.adminPermission.toLowerCase(), Main.getPlugin());
            }
        }

        for (SubAliasObject subAliasObject : Main.subAliasHashMap.values()) {
            if (Bukkit.getPluginManager().getPermission(subAliasObject.permission.toLowerCase()) == null) {
                T2Cregister.permission(subAliasObject.permission.toLowerCase(), Main.getPlugin());
            }
            if (Bukkit.getPluginManager().getPermission(subAliasObject.adminPermission.toLowerCase()) == null) {
                T2Cregister.permission(subAliasObject.adminPermission.toLowerCase(), Main.getPlugin());
            }
        }
    }
}